Subject: Re: [ldapext] Placement of DSETypes

From: "Jim Sermersheim" <[email-masked]>
Date: Wed, 08 Sep 2004 22:09:36 -0600

I'm not sure if it would end up as a normative reference or not. It really belongs in a yet-to-be-authored LDAP Distributed Data Model document. Knowing what's possible in the data model will help in making the distributed procedures doc more precise.

Thanks,

Jim

>>> Mark Ennis <[email-masked]> 9/8/04 8:14:42 PM >>>
Jim,

The choice of a non-specific hierarchical operational binding (HOB) at a 
superior naming context does not preclude the use of a specific HOB at a 
subordinate naming context. Therefore, there is no reason why a glue DSE 
should not occur below a nssr DSE.

Regarding your general question about the hierarchical relationship 
between DSEs of different types, I am not aware of an explicit 
definition along these lines. Are you asking this with the intention of 
including such a table as a normative reference?

- Mark.

Jim Sermersheim wrote:

> I have a specific distributed data model question which affects Section 4.1.3.1 of http://www.ietf.org/internet-drafts/draft-sermersheim-ldap-distproc-00.txt . But there's a more general question that follows. The specific question is:
> 
> Can a DSE of type glue be placed immediately subordinate to a DSE of type nssr? My assumption (when writing 4.1.3.1 above) was no. This is because an nssr indicates that no knowledge is known of the context prefix name(s) of the subordinate naming context(s). I've heard arguments that the names of some subordinate context prefix might be known, but it is not known which DSA holds it, thus an nssr is placed, and some glue might be placed below it to bridge the gap to another cp, or maybe to a subr. So that's the specific question. If it turns out that glue can be placed below an nssr, then I'll amend 4.1.3.1 to include nssr as another bullet item.
> 
> The general question is: What DSE types can appear below or above other DSE types? Here's a strawman table:
> 
> The X and Y axes names types of entries. The cells show the relationship between the entry type in the Y axis and the entry type in the x axis. The legend for the cell contents is:
> · A means the Y axis item can be placed immediately Above the X axis item.
> · !A means the Y axis item can not be placed immediately Above the X axis item
> · B means the Y axis item can be placed immediately Below the X axis item.
> · !B means the Y axis item can not be placed immediately Below the X axis item.
> · ?A or ?B means I don't know.
> For now, these relationships assume that the DSE is only of the types shown. So for example, while an entry dse may not appear immediately below the root dse, an entry + cp dse can. It would probably be better if this table showed 'above', 'below', and 'combined with' relationships.
> 
>         ImmSupr Xr    Nssr  Subr  Entry  Cp   Glue
> Root     A!B    A!B    A!B  !A!B  !A!B   A!B   A!B
> Glue    ?A?B    A?B   !A?B  !A B  !A!B   A!B   A B
> Cp      !A B   !A B    A B   A B   A!B  !A!B
> Entry   !A!B   !A!B    A B   A!B   A B
> Subr     A!B    A!B   !A B  !A!B
> Nssr    ?A!B   ?A!B   !A!B
> Xr       A B    A B
> ImmSupr  A B
> 
> I can't find this information specified in any data model descriptions.
> 
> Jim
> 
> 
> _______________________________________________
> Ldapext mailing list
> [email-masked] 
> https://www1.ietf.org/mailman/listinfo/ldapext

_______________________________________________
Ldapext mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ldapext